UPDATE npcSetting SET smallValue='1.0.6' WHERE code='dataObjectsVersion';

INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('useSEOLinks','Use SEO Links','If true, the system will write links to the Welcome Screen, Page Screens, and Product and Category Screens in a search-engine friendly format, using the following settings.','SEO', 'integerValue', 1,NULL,NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('seoURLMarker','SEO URL Marker','The marker used as a subdirectory when generating search-engine friendly links (e.g. "do" in "/context/do/page/about"). WARNING: Patterns matching this value must be mapped into the application, and you must change the SEO Filter mapping in web.xml.','SEO', 'smallValue', NULL,'do',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('seoWelcomeMarker','SEO Welcome Marker','The marker used as a subdirectory when generating the search-engine friendly link to the Welcome Screen (e.g. "welcome" in "/context/do/welcome").','SEO', 'smallValue', NULL,'welcome',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('seoPageMarker','SEO Page Marker','The marker used as were a subdirectory when generating search-engine friendly links to Page Screens (e.g. "page" in "/context/do/page/about").','SEO', 'smallValue', NULL,'page',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('seoCategoryMarker','SEO Category Marker','The marker used as a subdirectory when generating the search-engine friendly link to a Category Screen (e.g. the "category" in "/context/do/category/widgets" where widgets is the category code).','SEO', 'smallValue', NULL,'category',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('seoProductMarker','SEO Product Marker','The marker used as a subdirectory when generating the search-engine friendly link to a Product Screen (e.g. the "product" in "/context/do/product/widget" where widget is the product code).','SEO', 'smallValue', NULL,'product',NULL,NULL);
INSERT INTO npcSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) VALUES ('seoSuffix','SEO Suffix','A suffix appended to the end of all search-engine friendly URLs (e.g. ".html" in "/context/do/product/widget.html").','SEO', 'smallValue', NULL,'',NULL,NULL);

UPDATE npcSetting SET textValue='com.softslate.commerce.businessobjects.shipping.BasicShippingProcessor' WHERE textValue LIKE 'net.netpush.cart%' AND code='activeShippingProcessors';
UPDATE npcSetting SET textValue='com.softslate.commerce.businessobjects.tax.BasicTaxProcessor' WHERE textValue LIKE 'net.netpush.cart%' AND code='activeTaxProcessors';
UPDATE npcSetting SET textValue='com.softslate.commerce.businessobjects.payment.BasicPaymentProcessor' WHERE textValue LIKE 'net.netpush.cart%' AND code='activePaymentProcessors';
UPDATE npcSetting SET textValue='com.softslate.commerce.customer.payment.BasicPaymentForm' WHERE textValue LIKE 'net.netpush.cart%' AND code='activePaymentForms';

UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.core.SettingsDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='settingsDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.core.UserBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='userImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.product.CategoryBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='categoryImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.product.BasicCategoryProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='categoryProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.product.CategoryGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='categoryGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.product.CategoryDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='categoryDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.product.ProductBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='productImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.product.ProductListBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='productListImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.product.BasicProductProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='productProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.product.ProductGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='productGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.product.ProductDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='productDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.product.AttributeBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='attributeImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.product.BasicAttributeProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='attributeProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.product.AttributeGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='attributeGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.product.AttributeDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='attributeDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.product.OptionBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='optionImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.product.BasicOptionProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='optionProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.product.OptionGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='optionGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.product.OptionDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='optionDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.OrderBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.BasicOrderProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.order.OrderGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.order.OrderDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.OrderDeliveryBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderDeliveryImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.BasicOrderDeliveryProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderDeliveryProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.order.OrderDeliveryGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderDeliveryGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.order.OrderDeliveryDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderDeliveryDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.OrderItemBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderItemImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.BasicOrderItemProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderItemProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.order.OrderItemGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderItemGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.order.OrderItemDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderItemDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.OrderItemAttributeBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderItemAttributeImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.BasicOrderItemAttributeProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderItemAttributeProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.order.OrderItemAttributeGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderItemAttributeGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.order.OrderItemAttributeDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='orderItemAttributeDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.BasicCartProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='cartProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.StatesAndCountriesBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='statesAndCountriesImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.customer.CustomerBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='customerImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.customer.BasicCustomerProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='customerProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.customer.CustomerGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='customerGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.customer.CustomerDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='customerDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.customer.CustomerAddressBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='customerAddressImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.customer.BasicCustomerAddressProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='customerAddressProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.customer.CustomerAddressGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='customerAddressGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.customer.CustomerAddressDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='customerAddressDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.installer.InstallerDAOBasic' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='installerDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.administrator.AdministratorBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='administratorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.administrator.BasicAdministratorProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='administratorProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.administrator.AdministratorGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='administratorGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.administrator.AdministratorDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='administratorDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.administrator.RoleBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='roleImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.administrator.BasicRoleProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='roleProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.administrator.RoleGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='roleGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.administrator.RoleDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='roleDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.importexport.BasicNPOProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='npoProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.importexport.NPODAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='npoDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.tax.BasicTaxRateBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='basicTaxRateImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.tax.BasicTaxRateProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='taxRateProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.tax.BasicTaxRateGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='basicTaxRateGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.tax.BasicTaxRateDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='basicTaxRateDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.shipping.ShippingMethodBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='shippingMethodImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.shipping.BasicShippingMethodProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='shippingMethodProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.shipping.ShippingMethodGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='shippingMethodGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.shipping.ShippingMethodDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='shippingMethodDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.shipping.ShippingRateBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='shippingRateImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.shipping.BasicShippingRateProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='shippingRateProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.shipping.ShippingRateGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='shippingRateGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.shipping.ShippingRateDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='shippingRateDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.payment.PaymentBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='paymentImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.payment.BasicAdminPaymentProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='adminPaymentProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.payment.PaymentGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='paymentGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.payment.PaymentDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='paymentDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.CountryBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='countryImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.BasicCountryProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='countryProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.order.CountryGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='countryGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.order.CountryDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='countryDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.StateBean' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='stateImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.businessobjects.order.BasicStateProcessor' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='stateProcessorImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.order.StateGatewayDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='stateGatewayDAOImplementer';
UPDATE npcSetting SET mediumValue='com.softslate.commerce.daos.order.StateDAO' WHERE mediumValue LIKE 'net.netpush.cart%' AND code='stateDAOImplementer';
