UPDATE sscSetting SET smallValue='2.1.1' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('attributeValueMaxLength','Attribute Value Max Length','The maximum number of characters allowed for customer-inputted attribute values.','SYSTEM','integerValue',250,NULL,NULL,NULL);

INSERT INTO sscRole(code, name, description)
VALUES('manufacturerView', 'Manufacturers Viewer', 'Allows access to view manufacturers.');
INSERT INTO sscRole(code, name, description)
VALUES('manufacturerEdit', 'Manufacturers Editor', 'Allows access to view and edit manufacturers.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('manufacturerPageSize','Manufacturer Page Size','The number of products to display per page of a manufacturer page.','DISPLAY', 'integerValue',9,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('seoManufacturerMarker','SEO Manufacturer Marker','The marker used as a subdirectory when generating the search-engine friendly link to a Manufacturer Screen (e.g. the "manufacturer" in "/context/do/manufacturer/acme" where acme is the manufacturer code).','SEO', 'smallValue', NULL,'manufacturer',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalEnvironment','Live or Sandbox (Test) Mode?','If set to live mode, transactions will be processed with the live PayPal system. If Sandbox, their test system.','paypal','smallValue',NULL,'live',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalPaymentType','PayPal Payment Type','The type of payment transaction for PayPal orders. (Sale, Order, or Authentication.)','paypal','smallValue',NULL,'Sale',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalAPIUsername','PayPal API User Name','The API user name of the PayPal business account given by PayPal when registering for API credentials.','paypal','smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalAPIPassword','PayPal API Password','The API password of the PayPal business account given by PayPal when registering for API credentials.','paypal','smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalSignature','PayPal API Signature','The API signature given by PayPal when registering for API credentials. (If not provided, the cretificate file and private key password must be.)','paypal','textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalSubject','PayPal Subject','The name of the merchant on behalf of which api calls are made. (Optional).','paypal','smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalCertificateFile','PayPal Certificate File','The full path on the server to the certificate file used to authenticate with PayPal. (If not provided, the signature must be.)','paypal','mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalPrivateKeyPassword','PayPal Private Key Password','The password for the private key associated with the certificate.','paypal','smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalTimeout','PayPal Timeout','The connection timeout in milliseconds to use when connecting to PayPal.','paypal','integerValue',15000,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalDelayTime','PayPal Delay Time','The delay time bewteen each retry call in milliseconds.','paypal','integerValue',2000,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalMaximumRetries','PayPal Maximum Retries','The maximum number of retries.','paypal','integerValue',2,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalExpressRedoShipping','Redo Shipping Prompt for PayPal Express?','If set to yes, the application will prompt the user to enter a shipping option after returning from PayPal, even if he already has. (Necessary if shipping options depend on the ship to address of the order.)','paypal','integerValue',0,NULL,NULL,NULL);

UPDATE sscSetting SET textValue='home,about,contact,languages,products,account,cart,order,checkout' WHERE code='navBarOptions';
