ALTER TABLE sscCustomerAddress ADD paymentToken VARCHAR(255);
ALTER TABLE sscCustomerAddress ADD creditCardName VARCHAR(255);
ALTER TABLE sscCustomerAddress ADD creditCardType VARCHAR(255);
ALTER TABLE sscCustomerAddress ADD creditCardDate VARCHAR(255);
ALTER TABLE sscCustomerAddress ADD creditCardNumberDisplay VARCHAR(255);
ALTER TABLE sscCustomerAddress ADD identifier VARCHAR(255);
ALTER TABLE sscCustomerAddress ADD isBilling BIT NOT NULL DEFAULT '0';

ALTER TABLE sscCustomer ADD canUsePO BIT NOT NULL DEFAULT '0';
ALTER TABLE sscCustomer ADD passwordToken VARCHAR(100);
ALTER TABLE sscCustomer ADD passwordTokenDate VARCHAR(100);

ALTER TABLE sscRequestLog ADD searchString VARCHAR(255);
CREATE INDEX IDX_sscRequestLog_searchString ON sscRequestLog (searchString);

CREATE TABLE sscOrderSetting (
	orderSettingID INT IDENTITY NOT NULL,
	orderID INT DEFAULT NULL,
	code VARCHAR(100) NOT NULL DEFAULT '',
	name VARCHAR(255) DEFAULT NULL,
	description VARCHAR(255) DEFAULT NULL,
	type VARCHAR(100) DEFAULT NULL,
    valueType VARCHAR(16) NOT NULL,
    integerValue INT DEFAULT NULL,
	smallValue VARCHAR(64) DEFAULT NULL,
	mediumValue VARCHAR(255) DEFAULT NULL,
	textValue TEXT,
	class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.order.OrderSettingBean',
    CONSTRAINT PK_orderSettingID PRIMARY KEY CLUSTERED 
    ( orderSettingID ) ON [PRIMARY],
    CONSTRAINT AK_settingCode UNIQUE NONCLUSTERED 
    ( orderID, code ) ON [PRIMARY],
    CONSTRAINT FK_orderSetting_order FOREIGN KEY (
	  orderID
    ) REFERENCES sscOrder (
	  orderID
    ) ON DELETE CASCADE ON UPDATE CASCADE
);

ALTER TABLE sscProduct ADD created VARCHAR(100);
