<%@ page contentType="application/json; charset=UTF-8" pageEncoding="UTF-8"%><%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.order.Order,com.softslate.commerce.businessobjects.order.OrderItem,com.softslate.commerce.businessobjects.order.OrderItemAttribute,com.softslate.commerce.businessobjects.order.OrderDiscount" %><%@ page import="org.apache.commons.lang3.StringEscapeUtils" %><%@ page import="org.apache.commons.lang.StringUtils" %>
<c:if test="${empty order}">
	<c:set var="order" value="${user.order}"/>
</c:if>
<c:if test="${!empty order}">
	"quantity": <c:choose><c:when test="${!empty order.quantity}">${order.quantity}</c:when><c:otherwise>null</c:otherwise></c:choose>,
	"subtotal": <c:choose><c:when test="${!empty order.subtotal}">${order.subtotal}</c:when><c:otherwise>null</c:otherwise></c:choose>,
	
	<%-- Only show shipping, tax and a total if the order is completed or the session's shippingAndTaxesProcessed flag is set. --%>
	<c:if test="${!empty order.completed or (!empty sessionScope.shippingAndTaxesProcessed and sessionScope.shippingAndTaxesProcessed eq 'true')}">
		<c:if test="${!empty order.shippingMethod}">
			<c:set var="value" value="${order.shippingMethod}"/>
			"shippingMethod": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
		</c:if>
		"shipping": <c:choose><c:when test="${!empty order.shipping}">${order.shipping}</c:when><c:otherwise>null</c:otherwise></c:choose>,
		"tax": <c:choose><c:when test="${!empty order.tax}">${order.tax}</c:when><c:otherwise>null</c:otherwise></c:choose>,
		"giftCertificates":[
			<c:if test="${!empty order.orderDiscounts and !order.orderDiscounts['empty']}">
				<c:set var="itemDelim" value=""/>
				<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
					<c:if test="${orderDiscount.itemsAppliesType eq '[giftCertificate]'}">
						<c:out value="${itemDelim}"/>
						<c:set var="itemDelim" value=", "/>
						{
							"orderDiscountID": <c:out value="${orderDiscount.orderDiscountID}"/>,
							"total": ${orderDiscount.total},
							"code": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderDiscount)pageContext.getAttribute("orderDiscount")).getCode()))%>",
							"name": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderDiscount)pageContext.getAttribute("orderDiscount")).getName()))%>",
							"couponCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderDiscount)pageContext.getAttribute("orderDiscount")).getCouponCode()))%>",
							"balance": <c:out value="${orderDiscount.reward - orderDiscount.total}"/>
						}
					</c:if>
				</logic:iterate>
			</c:if>
		],
		"total": <c:choose><c:when test="${!empty order.total}">${order.total}</c:when><c:otherwise>null</c:otherwise></c:choose>,
	</c:if>
	
	<%-- More info such as status and the order number, if it's a completed order (not just an in-process cart) --%>
	<c:if test="${!empty order.completed}">
		<c:set var="value" value="${order.completed}"/>
		"completed": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
		<c:if test="${!empty order.orderNumber}">
			"orderNumber": <c:choose><c:when test="${!empty order.orderNumber}">${order.orderNumber}</c:when><c:otherwise>null</c:otherwise></c:choose>,
		</c:if>
		<c:if test="${!empty order.trackingNumber}">
			<c:set var="value" value="${order.trackingNumber}"/>
			"trackingNumber": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
		</c:if>
		<c:if test="${!empty order.status}">
			<c:set var="value" value="${order.status}"/>
			"status": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
		</c:if>
		<c:if test="${!empty order.statusDetails}">
			<c:set var="value" value="${order.statusDetails}"/>
			"statusDetails": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
		</c:if>
	</c:if>
	
	<%-- Information on the status of the checkout process, if the order is not complete. --%>
	<c:if test="${empty order.completed}">
		"declinedLoginBeforeCheckout": <c:out value="${sessionScope.declinedLoginBeforeCheckout eq 'true'}"/>,
		"shippingAndTaxesProcessed": <c:out value="${sessionScope.shippingAndTaxesProcessed eq 'true'}"/>,
	</c:if>
	
	<%-- Billing information --%>
	"billingInformation": {
		<c:set var="itemDelim" value=""/>
		<c:if test="${!empty order.billingFirstName}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingFirstName}"/>
			"billingFirstName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
		<c:if test="${!empty order.billingLastName}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingLastName}"/>
			"billingLastName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
		<c:if test="${!empty order.billingOrganization}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingOrganization}"/>
			"billingOrganization": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
		<c:if test="${!empty order.billingAddress1}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingAddress1}"/>
			"billingAddress1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
		<c:if test="${!empty order.billingAddress2}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingAddress2}"/>
			"billingAddress2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
		<c:if test="${!empty order.billingCity}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingCity}"/>
			"billingCity": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
		<c:if test="${!empty order.billingState}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingState}"/>
			"billingState": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
		<c:if test="${!empty order.billingPostalCode}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingPostalCode}"/>
			"billingPostalCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
		<c:if test="${!empty order.billingCountry}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingCountry}"/>
			"billingCountry": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
		<c:if test="${!empty order.billingPhone1}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingPhone1}"/>
			"billingPhone1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
		<c:if test="${!empty order.billingPhone2}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingPhone2}"/>
			"billingPhone2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
		<c:if test="${!empty order.billingEmail1}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingEmail1}"/>
			"billingEmail1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
		<c:if test="${!empty order.billingEmail2}">
			<c:out value="${itemDelim}"/>
			<c:set var="itemDelim" value=", "/>
			<c:set var="value" value="${order.billingEmail2}"/>
			"billingEmail2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
		</c:if>
	},
	
	<%-- Delivery information --%>
	"orderDeliveries":[
		<c:if test="${!empty order.orderDeliveryCollection and !order.orderDeliveryCollection['empty']}">
		<logic:iterate name="order" property="orderDeliveryCollection" id="orderDelivery" indexId="i">
			{
				<c:if test="${!empty orderDelivery.firstName}">
					<c:set var="value" value="${orderDelivery.firstName}"/>
					"firstName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
				<c:if test="${!empty orderDelivery.lastName}">
					<c:set var="value" value="${orderDelivery.lastName}"/>
					"lastName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
				<c:if test="${!empty orderDelivery.organization}">
					<c:set var="value" value="${orderDelivery.organization}"/>
					"organization": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
				<c:if test="${!empty orderDelivery.address1}">
					<c:set var="value" value="${orderDelivery.address1}"/>
					"address1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
				<c:if test="${!empty orderDelivery.address2}">
					<c:set var="value" value="${orderDelivery.address2}"/>
					"address2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
				<c:if test="${!empty orderDelivery.city}">
					<c:set var="value" value="${orderDelivery.city}"/>
					"city": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
				<c:if test="${!empty orderDelivery.state}">
					<c:set var="value" value="${orderDelivery.state}"/>
					"state": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
				<c:if test="${!empty orderDelivery.postalCode}">
					<c:set var="value" value="${orderDelivery.postalCode}"/>
					"postalCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
				<c:if test="${!empty orderDelivery.country}">
					<c:set var="value" value="${orderDelivery.country}"/>
					"country": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
				<c:if test="${!empty orderDelivery.phone1}">
					<c:set var="value" value="${orderDelivery.phone1}"/>
					"phone1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
				<c:if test="${!empty orderDelivery.phone2}">
					<c:set var="value" value="${orderDelivery.phone2}"/>
					"phone2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
				<c:if test="${!empty orderDelivery.email1}">
					<c:set var="value" value="${orderDelivery.email1}"/>
					"email1": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
				<c:if test="${!empty orderDelivery.email2}">
					<c:set var="value" value="${orderDelivery.email2}"/>
					"email2": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				</c:if>
	
				<%-- Items --%>
				"orderItems":[
					<c:if test="${!empty orderDelivery.orderItemCollection and !orderDelivery.orderItemCollection['empty']}">
					<c:set var="itemDelim" value=""/>
					<logic:iterate name="orderDelivery" property="orderItemCollection" id="item" indexId="j">
						<c:out value="${itemDelim}"/>
						<c:set var="itemDelim" value=", "/>
						{
							"orderItemID": <c:out value="${item.orderItemID}"/>,
							"total": ${item.total},
							"quantity": ${item.quantity},
							"code": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItem)pageContext.getAttribute("item")).getCode()))%>",
							"seoCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItem)pageContext.getAttribute("item")).getSeoCode()))%>",
							"name": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItem)pageContext.getAttribute("item")).getName()))%>",
							"price": ${item.total/item.quantity},
							"image": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItem)pageContext.getAttribute("item")).getImage()))%>",
							"orderItemAttributes": [
								<c:if test="${!empty item.orderItemAttributes and !item.orderItemAttributes['empty']}">
									<c:set var="attributeDelim" value=""/>
									<logic:iterate name="item" property="orderItemAttributes" id="attribute" indexId="k">
										<c:out value="${attributeDelim}"/>
										<c:set var="attributeDelim" value=", "/>
										{
											"attributeCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItemAttribute)pageContext.getAttribute("attribute")).getAttributeCode()))%>",
											"attributeName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItemAttribute)pageContext.getAttribute("attribute")).getAttributeName()))%>",
											"attributeValue": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItemAttribute)pageContext.getAttribute("attribute")).getAttributeValue()))%>",
											"optionCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItemAttribute)pageContext.getAttribute("attribute")).getOptionCode()))%>",
											"optionName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderItemAttribute)pageContext.getAttribute("attribute")).getOptionName()))%>"
										}
									</logic:iterate>
								</c:if>
							]
						}
					</logic:iterate>
					</c:if>
				]
			}
		</logic:iterate>
		</c:if>
	],
	
	<%-- Discounts --%>
	"orderDiscounts":[
		<c:if test="${!empty order.orderDiscounts and !order.orderDiscounts['empty']}">
			<c:set var="itemDelim" value=""/>
			<logic:iterate name="order" property="orderDiscounts" id="orderDiscount" indexId="i">
				<c:if test="${orderDiscount.itemsAppliesType ne '[giftCertificate]' and orderDiscount.itemsAppliesType ne '[shipping]'}">
					<c:out value="${itemDelim}"/>
					<c:set var="itemDelim" value=", "/>
					{
						"orderDiscountID": <c:out value="${orderDiscount.orderDiscountID}"/>,
						"total": ${orderDiscount.total},
						"code": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderDiscount)pageContext.getAttribute("orderDiscount")).getCode()))%>",
						"name": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderDiscount)pageContext.getAttribute("orderDiscount")).getName()))%>",
						"couponCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString(((OrderDiscount)pageContext.getAttribute("orderDiscount")).getCouponCode()))%>"
						<c:if test="${!empty orderDiscount.orderItem}">
							<c:set var="value" value="${orderDiscount.orderItem.name}"/>
							, "orderItemName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
							<c:set var="value" value="${orderDiscount.orderItem.code}"/>
							, "orderItemCode": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
							, "orderItemID": <c:out value="${orderDiscount.orderItem.orderItemID}"/>
						</c:if>
					}
				</c:if>
			</logic:iterate>
		</c:if>
	]
	
	<%-- Payment Information - During checkout show previously submitted information. --%>
	<c:if test="${empty order.completed and !empty sessionScope.shippingAndTaxesProcessed and sessionScope.shippingAndTaxesProcessed eq 'true' and !empty sessionScope.validatedPaymentForm}">
		<% if (session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.BasicPaymentForm ||
				session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.authorizeNetCIM.AuthorizeNetCIMForm ||
				session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.cresecure.CRESecureForm) { %>
		, "paymentInformation": [
			{
				<c:set var="itemDelim" value=""/>
				<% if (session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.BasicPaymentForm) { %>
	                <c:if test="${!empty validatedPaymentForm.creditCardName}">
						<c:out value="${itemDelim}"/>
						<c:set var="itemDelim" value=", "/>
						<c:set var="value" value="${validatedPaymentForm.creditCardName}"/>
	                    "creditCardName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
	                </c:if>
					<c:if test="${!empty validatedPaymentForm.decryptedNumber}">
						<c:if test="${!empty validatedPaymentForm.creditCardType}">
							<c:out value="${itemDelim}"/>
							<c:set var="itemDelim" value=", "/>
							<c:set var="value" value="${validatedPaymentForm.creditCardType}"/>
		                    "creditCardType": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
						</c:if>
						<c:out value="${itemDelim}"/>
						<c:set var="itemDelim" value=", "/>
						<c:set var="ccNumber" value="${validatedPaymentForm.decryptedNumber}"/>
	                    "creditCardNumberDisplay": "<%= StringEscapeUtils.escapeJson(StringUtils.defaultString(((String) pageContext.getAttribute("ccNumber")).substring(((String) pageContext.getAttribute("ccNumber")).length() - 4))) %>"
	                </c:if>
			  	<% } %>
			  	<% if (session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.authorizeNetCIM.AuthorizeNetCIMForm) { %>
					<c:out value="${itemDelim}"/>
					<c:set var="itemDelim" value=", "/>
					<c:set var="value" value="${validatedPaymentForm.creditCardNumberDisplay}"/>
                    "creditCardNumberDisplay": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
			  	<% } %>
			  	<% if (session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.cresecure.CRESecureForm) { %>
					<c:out value="${itemDelim}"/>
					<c:set var="itemDelim" value=", "/>
					<c:set var="value" value="${validatedPaymentForm.creditCardNumberDisplay}"/>
                    "creditCardNumberDisplay": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
			  	<% } %>
			}
		]
		<% } else if (session.getAttribute("validatedPaymentForm") instanceof com.softslate.commerce.customer.payment.PurchaseOrderPaymentForm) { %>
		, "paymentInformation": [
			{
				<c:set var="value" value="${validatedPaymentForm.purchaseOrderNumber}"/>
				"purchaseOrderNumber": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>",
				<c:set var="value" value="${validatedPaymentForm.purchaseOrderNotes}"/>
				"purchaseOrderNotes": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
			}
		]
		
		<% } %>
	</c:if>
	
	<%-- Payment Information - For completed orders show payment information from the database. --%>
	<c:if test="${!empty order.completed and !empty order.payments and !order.payments['empty']}">
		, "paymentInformation": [
			<c:set var="itemDelim" value=""/>
			<logic:iterate name="order" property="payments" id="payment" indexId="i">
				<c:out value="${itemDelim}"/>
				<c:set var="itemDelim" value=", "/>
				{
					<c:set var="childDelim" value=""/>
					<c:if test="${!empty payment.status}">
						<c:out value="${childDelim}"/>
						<c:set var="childDelim" value=", "/>
						<c:set var="value" value="${payment.status}"/>
	                    "status": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
					</c:if>
					<c:if test="${!empty payment.creditCardName}">
						<c:out value="${childDelim}"/>
						<c:set var="childDelim" value=", "/>
						<c:set var="value" value="${payment.creditCardName}"/>
	                    "creditCardName": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
					</c:if>
					<c:if test="${!empty payment.creditCardType}">
						<c:out value="${childDelim}"/>
						<c:set var="childDelim" value=", "/>
						<c:set var="value" value="${payment.creditCardType}"/>
	                    "creditCardType": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
					</c:if>
					<c:if test="${!empty payment.creditCardNumberDisplay}">
						<c:out value="${childDelim}"/>
						<c:set var="childDelim" value=", "/>
						<c:set var="value" value="${payment.creditCardNumberDisplay}"/>
	                    "creditCardNumberDisplay": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
					</c:if>
					<c:if test="${empty payment.creditCardNumberDisplay}">
						<c:if test="${!empty payment.value4}">
							<c:out value="${childDelim}"/>
							<c:set var="childDelim" value=", "/>
							<c:set var="value" value="${payment.value4}"/>
		                    "creditCardNumberDisplay": "<%=StringEscapeUtils.escapeJson(StringUtils.defaultString((String)pageContext.getAttribute("value")))%>"
						</c:if>
					</c:if>
				}
			</logic:iterate>
		]
	</c:if>
</c:if>
