<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:if test="${!requestScope.isWelcomePage}">
	<ol id="crumbs" class="breadcrumb">
		<li>
			<ssc:link href="${customerURL}/Welcome.do" styleId="crumb-welcome" styleClass="crumb first">
				<span class="glyphicon glyphicon-home"></span> <bean:message key="page.welcome"/>
			</ssc:link>
		</li>
		<c:choose>
			<c:when test="${pageTitleKey eq 'page.editItem'}">
				<li>
					<ssc:link href="${customerURL}/Cart.do" styleId="crumb-cart" styleClass="crumb">
						<bean:message key="page.cart"/>
					</ssc:link>
				</li>
				<li id="crumb-editItem" class="crumb active"><bean:message key="page.editItem"/></li>
			</c:when>
			<c:when test="${pageTitleKey eq 'page.manufacturers'}">
				<li id="crumb-manufacturers" class="crumb active"><bean:message key="manufacturer.allManufacturers" bundle="/product"/></li>
			</c:when>
			<c:when test="${pageTitleKey eq 'page.manufacturer'}">
				<li>
					<ssc:link href="${customerURL}/Manufacturers.do" styleId="crumb-manufacturers" styleClass="crumb">
						<bean:message key="manufacturer.allManufacturers" bundle="/product"/>
					</ssc:link>
				</li>
				<li id="crumb-${manufacturer.code}" class="crumb active"><c:out value="${manufacturer.name}" escapeXml="false"/></li>
			</c:when>
			<c:when test="${pageTitleKey eq 'page.category' and !requestScope.isWelcomePage}">
				<logic:iterate id="category" name="currentCategory" property="parentCollection">
					<c:if test="${!requestScope.isWelcomePage}">
					<li>
						<c:set var="linkAction" value="Category.do"/>
						<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
						<ssc:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code" styleId="crumb-${category.code}" styleClass="crumb">
							<c:out value="${category.name}" escapeXml="false"/>
						</ssc:link>
						</c:if>
					</li>
				</logic:iterate>
				<li id="crumb-${currentCategory.code}" class="crumb active"><c:out value="${currentCategory.name}" escapeXml="false"/></li>
			</c:when>
			<c:when test="${pageTitleKey eq 'page.product'}">
				<logic:present name="currentCategory">
					<logic:iterate id="category" name="currentCategory" property="parentCollection">
						<c:if test="${!requestScope.isWelcomePage}">
						<li>
							<c:set var="linkAction" value="Category.do"/>
							<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
							<ssc:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code" styleId="crumb-${category.code}" styleClass="crumb">
								<c:out value="${category.name}" escapeXml="false"/>
							</ssc:link>
						</li>
						</c:if>
					</logic:iterate>
					<c:if test="${!requestScope.isWelcomePage}">
					<li>
						<c:set var="linkAction" value="Category.do"/>
						<c:if test="${currentCategory.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
						<ssc:link href="${customerURL}/${linkAction}" paramId="code" paramName="currentCategory" paramProperty="code" styleId="crumb-${currentCategory.code}" styleClass="crumb">
							<c:out value="${currentCategory.name}" escapeXml="false"/>
						</ssc:link>
					</li>
					</c:if>
				</logic:present>
				<li id="crumb-${product.code}" class="crumb active"><c:out value="${product.name}" escapeXml="false"/></li>
			</c:when>
			<c:when test="${!requestScope.isWelcomePage}">
				<li id="crumb-${pageTitleKey}" class="crumb active"><bean-el:message key="${pageTitleKey}"/></li>
			</c:when>
		</c:choose>
	</ol>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
