<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start header.jsp -->
<div id="header">
	<%--Display the store's logo if defined, or its name--%>
	<c:choose>
		<c:when test="${empty settings.map.storeLogo}">
			<h1 id="storeName">
				<html:link href="${customerURL}/Welcome.do"><c:out value="${settings.map.storeName}"/></html:link>
			</h1>
		</c:when>
		<c:otherwise>
			<div id="storeLogo">
				<html:link href="${customerURL}/Welcome.do">
					<img src="<c:out value="${settings.map.storeLogo}"/>" alt="<c:out value="${settings.map.storeName}"/>" />
				</html:link>
			</div>
		</c:otherwise>
	</c:choose>
	<%--Icon links to cart, account, and checkout--%>
	<c:if test="${settings.map.catalogMode eq '0'}">
		<ul id="toolsNavigation">
			<logic:match name="settings" property="value(navBarLinks)" value="account">
				<li id="accountLink"><html:link href="${secureURL}/Account.do" styleClass="icon"><span><bean:message key="navBar.account" /></span></html:link></li>
			</logic:match>
			<logic:match name="settings" property="value(navBarLinks)" value="cart">
				<li id="cartLink"><html:link href="${customerURL}/Cart.do" styleClass="icon"><span><bean:message key="navBar.cart" /></span></html:link></li>
			</logic:match>
			<logic:match name="settings" property="value(navBarLinks)" value="checkout">
				<li id="checkoutLink"><html:link href="${secureURL}/Checkout.do" styleClass="icon"><span><bean:message key="navBar.checkout" /></span></html:link></li>
			</logic:match>
		</ul>
	</c:if>
</div>
<%--Main navigation bar --%>
<div id="pageNavigation">
	<ul>
		<logic:match name="settings" property="value(navBarLinks)" value="home">
			<c:set var="styleClass" value="inactive"/>
			<c:if test="${pageTitleKey eq 'page.welcome'}"><c:set var="styleClass" value="active"/></c:if>
			<li id="welcomeLink"><html:link href="${customerURL}/Welcome.do" styleClass="${styleClass}"><bean:message key="page.welcome"/></html:link></li>
		</logic:match>
		<logic:match name="settings" property="value(navBarLinks)" value="products">
			<c:set var="styleClass" value="inactive"/>
			<c:if test="${pageTitleKey eq 'page.productList'}"><c:set var="styleClass" value="active"/></c:if>
			<li id="productListLink"><html:link href="${customerURL}/ProductList.do" styleClass="${styleClass}"><span><bean:message key="page.productList"/></span></html:link></li>
		</logic:match>
		<logic:match name="settings" property="value(navBarLinks)" value="manufacturers">
			<c:set var="styleClass" value="inactive"/>
			<c:if test="${pageTitleKey eq 'page.manufacturers'}"><c:set var="styleClass" value="active"/></c:if>
			<li id="manufacturersLink"><html:link href="${customerURL}/Manufacturers.do" styleClass="${styleClass}"><span><bean:message key="page.manufacturers"/></span></html:link></li>
		</logic:match>
		<c:if test="${!empty headerCategoriesAndPages}">
			<logic:iterate name="headerCategoriesAndPages" id="category">
				<c:if test="${category.isActive}">
					<c:set var="linkAction" value="Category.do"/>
					<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
					<c:set var="styleClass" value="inactive"/>
					<c:if test="${pageTitleKey eq 'page.category' and currentCategory.code eq category.code}"><c:set var="styleClass" value="active"/></c:if>
					<li id="<c:out value="${category.code}"/>Link"><html:link href="${customerURL}/${linkAction}" styleClass="${styleClass}" paramId="code" paramName="category" paramProperty="code">
						<span><c:out value="${category.name}" escapeXml="false"/></span>
					</html:link></li>
				</c:if>
			</logic:iterate>
		</c:if>
		<logic:match name="settings" property="value(navBarLinks)" value="search">
			<c:set var="styleClass" value="inactive"/>
			<c:if test="${pageTitleKey eq 'page.search'}"><c:set var="styleClass" value="active"/></c:if>
			<li id="searchLink"><html:link href="${customerURL}/SearchForm.do" styleClass="${styleClass}"><span><bean:message key="page.search"/></span></html:link></li>
		</logic:match>
		<logic:match name="settings" property="value(navBarLinks)" value="about">
			<c:set var="styleClass" value="inactive"/>
			<c:if test="${pageTitleKey eq 'page.about'}"><c:set var="styleClass" value="active"/></c:if>
			<li id="aboutLink"><html:link href="${customerURL}/aboutPage.do" styleClass="${styleClass}"><span><bean:message key="page.about"/></span></html:link></li>
		</logic:match>
		<logic:match name="settings" property="value(navBarLinks)" value="contact">
			<c:set var="styleClass" value="inactive"/>
			<c:if test="${pageTitleKey eq 'page.contact'}"><c:set var="styleClass" value="active"/></c:if>
			<li id="contactLink"><html:link href="${customerURL}/Contact.do" styleClass="${styleClass}"><span><bean:message key="page.contact"/></span></html:link></li>
		</logic:match>
		<c:if test="${settings.map.catalogMode eq '0'}">
			<logic:match name="settings" property="value(navBarLinks)" value="order">
				<c:set var="styleClass" value="inactive"/>
				<c:if test="${pageTitleKey eq 'page.orderForm'}"><c:set var="styleClass" value="active"/></c:if>
				<li id="orderFormLink"><html:link href="${secureURL}/OrderForm.do" styleClass="${styleClass}"><bean:message key="page.orderForm"/></html:link></li>
			</logic:match>
		</c:if>
	</ul>
</div>
<!-- End header.jsp -->
