<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="java.util.Calendar,java.util.Date" %> 
<!-- Start wishListList.jsp -->
<c:if test="${empty wishListList or wishListList['empty']}">
	<p id="noWishLists"><bean:message key="wishList.noWishLists" bundle="/customer"/></p>
</c:if>
<c:if test="${!empty wishListList and !wishListList['empty']}">
<c:set var="wishListPageSize" value="10"/>
	<bean:size id="itemCount" name="wishListList"/>
	<%
	    String wishListPageSize = (String) pageContext.getAttribute("wishListPageSize");
	%>
	<table id="wishListTable" class="grid accountTable" summary="List of wish lists.">
		<tr class="listHeading">
			<th>&nbsp;</th>
			<th><bean:message key="wishList.name" bundle="/customer"/></th>
			<th><bean:message key="wishList.created" bundle="/customer"/></th>
			<th><bean:message key="wishList.lastUpdated" bundle="/customer"/></th>
			<th><bean:message key="wishList.numberOfItems" bundle="/customer"/></th>
		</tr>
		<% String startingItem = (String) request.getAttribute("startingItem"); %>
		<logic:iterate name="wishListList" id="customerWishList" indexId="index" offset="<%= startingItem %>" length="<%= wishListPageSize %>">
			<c:choose>
				<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<c:set var="numberOfItems" value="0"/>
			<c:if test="${not empty customerWishList.customerWishListProducts}">
				<bean:size id="numberOfItems" name="customerWishList" property="customerWishListProducts"/>
			</c:if>
			<tr id="wishList-<c:out value="${customerWishList.customerWishListID}"/>" class="wishList <c:out value="${thisClass}"/>">
				<%-- link to details--%>
				<td nowrap class="customerWishListID <c:out value="${thisClass}"/>">
					<logic:greaterThan name="customerWishList" property="customerWishListID" value="0">
						<form name="wishListDetailsForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/WishListEditForm.do")%>" title="<bean:message key="wishList.detailsButton" bundle="/customer"/>">
							<input type="hidden" name="customerWishListID" value="<c:out value="${customerWishList.customerWishListID}"/>"/>
							<span id="detailsWishListButton" class="buttonWrap"><input type="submit" class="button" value="<bean:message key="wishList.detailsButton" bundle="/customer"/>" /></span>
						</form>
						<form name="wishListDeleteForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/WishListDelete.do")%>" method="post" title="<bean:message key="wishList.deleteButton" bundle="/customer"/>" onclick="return confirm('<bean:message key="wishList.confirmDelete" bundle="/customer"/>')">
							<input type="hidden" name="customerWishListID" value="<c:out value="${customerWishList.customerWishListID}"/>"/>
							<span id="deleteWishListButton" class="buttonWrap"><input type="submit" class="button" value="<bean:message key="wishList.deleteButton" bundle="/customer"/>" /></span>
						</form>
					</logic:greaterThan>
				</td>
				<%-- Name --%>
				<td class="name <c:out value="${thisClass}"/>">
					<c:if test="${!empty customerWishList.name}">
						<c:out value="${customerWishList.name}"/>
					</c:if>
				</td>
				<%-- created --%>
				<td class="created <c:out value="${thisClass}"/>">
					<c:if test="${!empty customerWishList.created}">
						<fmt:parseDate value="${customerWishList.created}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
						<fmt:formatDate value="${parsed}" type="both"/>
					</c:if>
				</td>
				<%-- last updated --%>
				<td class="lastUpdated <c:out value="${thisClass}"/>">
					<c:if test="${!empty customerWishList.lastUpdated}">
						<fmt:parseDate value="${customerWishList.lastUpdated}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
						<fmt:formatDate value="${parsed}" type="both"/>
					</c:if>
				</td>
				<%-- Number of items --%>
				<td class="description <c:out value="${thisClass}"/>">
					<c:out value="${numberOfItems}"/>
				</td>
			</tr>
		</logic:iterate>
	</table>
	<%-- Pagination --%>
	<c:if test="${itemCount > wishListPageSize}">
		<div id="wishListPagination" class="accountPagination">
			<c:set var="firstRowOfPreviousPage" value="${startingItem - wishListPageSize}"/>
			<c:set var="firstRowOfNextPage" value="${startingItem + wishListPageSize}"/>
			<c:choose>
				<c:when test="${firstRowOfPreviousPage == 0}">
					<html:link href="${secureURL}/AccountWishLists.do"><bean:message key="productList.pagePrevious" bundle="/product"/></html:link>
				</c:when>
				<c:when test="${firstRowOfPreviousPage > 0}">
					<html:link href="${secureURL}/AccountWishLists.do?startingItem=${firstRowOfPreviousPage}"><bean:message key="productList.pagePrevious" bundle="/product"/></html:link>
				</c:when>
			</c:choose>
			<c:if test="${firstRowOfNextPage < itemCount}">
				<c:if test="${firstRowOfPreviousPage ge 0}">
					&nbsp;|&nbsp;
				</c:if>
				<html:link href="${secureURL}/AccountWishLists.do?startingItem=${firstRowOfNextPage}"><bean:message key="productList.pageNext" bundle="/product"/></html:link>
			</c:if>
		</div>
	</c:if>
</c:if>
<!-- End wishListList.jsp -->
