<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start checkoutBreadcrumbs.jsp -->
<c:set var="inviteLogin" value="${settings.map.inviteLoginBeforeCheckout}"/>
<c:set var="forceLogin" value="${settings.map.forceLogin}"/>
<c:set var="shippingRequired" value="${settings.map.shippingRequired}"/>
<c:set var="paymentRequiredString" value="${settings.map.paymentRequired}"/>
<c:set var="useCheckoutCombo" value="${settings.map.useCheckoutCombo}"/>
<c:set var="combineCheckoutShippingAddresses" value="${settings.map.combineCheckoutShippingAddresses}"/>
<c:set var="displayCheckoutConfirm" value="${settings.map.displayCheckoutConfirm}"/>
<c:set var="useAjaxOnePageCheckout" value="${settings.map.useAjaxOnePageCheckout}"/>
<c:set var="crumbNumber" value="0"/>
<c:if var="paymentRequired" test="${
	paymentRequiredString eq '1'
	and 
	(empty sessionScope.user 
	or empty user.order 
	or user.order.total gt 0 
	or user.order.subtotal gt 0) }" />

<c:if test="${(empty sessionScope.user 
	or empty sessionScope.user.customMap 
	or empty sessionScope.user.customMap.paypalPayerID) 
	and useAjaxOnePageCheckout eq '0'}">
	<table id="checkoutBreadcrumbs" summary="Your progress bar.">
		<tr>
			<%-- Log In Breadcrumb --%>
			<c:if test="${inviteLogin eq 1 or forceLogin eq 1}">
				<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
				<c:choose>
					<c:when test="${pageTitleKey eq 'page.login'}">
						<td id="checkoutStep<c:out value="${crumbNumber}"/>" class="active">
							<bean-el:message key="checkoutLogIn.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:when>
					<c:otherwise>
						<td id="checkoutStep<c:out value="${crumbNumber}"/>">
							<bean-el:message key="checkoutLogIn.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:otherwise>
				</c:choose>
			</c:if>
			<%-- Addresses Breadcrumb --%>
			<c:if test="${useCheckoutCombo eq 0 and combineCheckoutShippingAddresses eq 0}">
				<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
				<c:choose>
					<c:when test="${pageTitleKey eq 'page.checkoutAddresses'}">
						<td id="checkoutStep<c:out value="${crumbNumber}"/>" class="active">
							<bean-el:message key="checkoutAddresses.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:when>
					<c:when test="${pageTitleKey eq 'page.login'}">
						<td id="checkoutStep<c:out value="${crumbNumber}"/>">
							<bean-el:message key="checkoutAddresses.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:when>
					<c:otherwise>
						<td id="checkoutStep<c:out value="${crumbNumber}"/>">
							<html:link href="${secureURL}/CheckoutAddressesForm.do">
								<bean-el:message key="checkoutAddresses.breadcrumb${crumbNumber}" bundle="/order" />
							</html:link>
						</td>
					</c:otherwise>
				</c:choose>
			</c:if>
			<%-- Shipping Breadcrumb --%>
			<c:if test="${useCheckoutCombo eq 0 and combineCheckoutShippingAddresses eq 0 and shippingRequired eq 1}">
				<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
				<c:choose>
					<c:when test="${pageTitleKey eq 'page.checkoutShipping'}">
						<td id="checkoutStep<c:out value="${crumbNumber}"/>" class="active">
							<bean-el:message key="checkoutShipping.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:when>
					<c:when test="${pageTitleKey eq 'page.login' or pageTitleKey eq 'page.checkoutAddresses'}">
						<td id="checkoutStep<c:out value="${crumbNumber}"/>">
							<bean-el:message key="checkoutShipping.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:when>
					<c:otherwise>
						<td id="checkoutStep<c:out value="${crumbNumber}"/>">
							<html:link href="${secureURL}/CheckoutShippingForm.do">
								<bean-el:message key="checkoutShipping.breadcrumb${crumbNumber}" bundle="/order" />
							</html:link>
						</td>
					</c:otherwise>
				</c:choose>
			</c:if>
			<%-- Address/Shipping Combo Breadcrumb --%>
			<c:if test="${useCheckoutCombo eq 0 and combineCheckoutShippingAddresses eq 1}">
				<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
				<c:choose>
					<c:when test="${pageTitleKey eq 'page.checkoutComboShipping'}">
						<td id="checkoutStep<c:out value="${crumbNumber}"/>" class="active">
							<bean-el:message key="checkoutComboShipping.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:when>
					<c:when test="${pageTitleKey eq 'page.login'}">
						<td id="checkoutStep<c:out value="${crumbNumber}"/>">
							<bean-el:message key="checkoutComboShipping.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:when>
					<c:otherwise>
						<td id="checkoutStep<c:out value="${crumbNumber}"/>">
							<html:link href="${secureURL}/CheckoutComboShippingForm.do">
								<bean-el:message key="checkoutComboShipping.breadcrumb${crumbNumber}" bundle="/order" />
							</html:link>
						</td>
					</c:otherwise>
				</c:choose>
			</c:if>
			<%-- Payment Breadcrumb --%>
			<c:if test="${useCheckoutCombo eq 0 and paymentRequired}">
				<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
				<c:choose>
					<c:when test="${pageTitleKey eq 'page.checkoutPayment'}">
						<td id="checkoutStep<c:out value="${crumbNumber}"/>" class="active">
							<bean-el:message key="checkoutPayment.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:when>
					<c:when test="${pageTitleKey eq 'page.login' 
						or pageTitleKey eq 'page.checkoutAddresses'
						or pageTitleKey eq 'page.checkoutShipping'
						or pageTitleKey eq 'page.checkoutComboShipping'}">
						<td id="checkoutStep<c:out value="${crumbNumber}"/>">
							<bean-el:message key="checkoutPayment.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:when>
					<c:otherwise>
						<td id="checkoutStep<c:out value="${crumbNumber}"/>">
							<html:link href="${secureURL}/CheckoutPaymentForm.do">
								<bean-el:message key="checkoutPayment.breadcrumb${crumbNumber}" bundle="/order" />
							</html:link>
						</td>
					</c:otherwise>
				</c:choose>
			</c:if>
			<%-- Combo Breadcrumb --%>
			<c:if test="${useCheckoutCombo eq 1}">
				<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
				<c:choose>
					<c:when test="${pageTitleKey eq 'page.checkoutCombo'}">
						<td id="checkoutStep<c:out value="${crumbNumber}"/>" class="active">
							<bean-el:message key="checkoutCombo.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:when>
					<c:when test="${pageTitleKey eq 'page.login'}">
						<td id="checkoutStep<c:out value="${crumbNumber}"/>">
							<bean-el:message key="checkoutCombo.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:when>
					<c:otherwise>
						<td id="checkoutStep<c:out value="${crumbNumber}"/>">
							<html:link href="${secureURL}/CheckoutComboForm.do">
								<bean-el:message key="checkoutCombo.breadcrumb${crumbNumber}" bundle="/order" />
							</html:link>
						</td>
					</c:otherwise>
				</c:choose>
			</c:if>
			<%-- Confirm Breadcrumb --%>
			<c:if test="${displayCheckoutConfirm eq 1}">
				<c:set var="crumbNumber" value="${crumbNumber + 1}"/>
				<c:choose>
					<c:when test="${pageTitleKey eq 'page.checkoutConfirm'}">
						<td id="checkoutStep<c:out value="${crumbNumber}"/>" class="active">
							<bean-el:message key="checkoutConfirm.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:when>
					<c:otherwise>
						<td id="checkoutStep<c:out value="${crumbNumber}"/>">
							<bean-el:message key="checkoutConfirm.breadcrumb${crumbNumber}" bundle="/order" />
						</td>
					</c:otherwise>
				</c:choose>
			</c:if>
		</tr>
	</table>
</c:if>

<!-- End checkoutBreadcrumbs.jsp -->
