<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start attribute-expanded.jsp -->
<div id="<c:out value="${cssIDName}" />" class="expanded attribute<c:if test="${attribute.attributeIsRequired}"> required</c:if>">
	<%-- Display the attribute's name. --%>
	<span class="name">
		<c:out value="${attribute.attributeName}" escapeXml="false" />:
	</span>
	<%-- Display the attribute's options as radio buttons. --%>
	<c:if test="${!empty attribute.attributeOptions and !attribute.attributeOptions['empty']}">
		<table>
			<c:choose>
				<c:when test="${!empty parameterValue}">
					<c:set var="selectedOptionID" value="${parameterValue}"/>
				</c:when>
				<c:otherwise>
					<c:set var="selectedOptionID" value="${attribute.defaultOptionID}"/>
				</c:otherwise>
			</c:choose>
			<logic:iterate name="attribute" property="attributeOptions" id="option">
				<c:if test="${option.optionIsActive}">
					<tr id="<c:out value="${cssIDName}" />-<c:out value="${option.optionCode}"/>" class="option">
						<%-- Determine if this option's inventory is being tracked. --%>
						<c:if var="trackOption" scope="request" test="false"/>
						<c:if var="trackOptByAttr" scope="request" test="false"/>
						<c:if test="${trackInventory}">
							<c:set var="optSkuKey" value="${product.productID}|${attribute.attributeID}|${option.optionID}|" scope="request"/>
							<c:if var="trackOption" scope="request" test="${!empty product.skuMap[optSkuKey] and product.skuMap[optSkuKey].trackInventory}">
								<c:set var="optSku" scope="request" value="${product.skuMap[optSkuKey]}"/>
							</c:if>
							<c:if test="${!trackOption}">
								<c:set var="optSkuKey" value="${attribute.attributeID}|${option.optionID}|" scope="request"/>
								<c:if var="trackOptByAttr" scope="request" test="${!empty attributeSKUs[optSkuKey] and attributeSKUs[optSkuKey].trackInventory}">
									<c:set var="optSku" scope="request" value="${attributeSKUs[optSkuKey]}"/>
								</c:if>
							</c:if>
						</c:if>
						<c:if test="${option.optionCode eq parameterValue}">
							<c:set var="selectedOptionID" value="${option.optionID}"/>
						</c:if>
						<%-- Radio button. --%>
						<c:if test="${! denyPurchase}">
							<td>
								<input id="<c:out value="${parameterName}" />|<c:out value="${option.optionCode}"/>" type="radio" 
									<c:if test="${option.optionID eq selectedOptionID}"> checked="checked"</c:if>
									name="<c:out value="${parameterName}" />"
									value="<c:out value="${option.optionCode}"/>" />
							</td>
						</c:if>
						<%-- Option name. --%>
						<td class="name">
							<label for="<c:out value="${parameterName}" />|<c:out value="${option.optionCode}"/>"><c:out value="${option.optionName}" escapeXml="false" /></label>
						</td>
						<%-- Option price. --%>
						<td class="price">
							<c:if test="${!empty option.optionUnitPrice && option.optionUnitPrice != 0}">
								<c:choose>
									<c:when test="${product.unitPrice gt 0 && option.optionUnitPrice gt 0}">
										+<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${option.optionUnitPrice}"/>
									</c:when>
									<c:when test="${product.unitPrice gt 0 && option.optionUnitPrice lt 0}">
										-<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${-1 * option.optionUnitPrice}"/>
									</c:when>
									<c:when test="${product.unitPrice eq 0}">
										<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${option.optionUnitPrice}"/>
									</c:when>
								</c:choose>
							</c:if>
						</td>
						<%-- Option inventory. --%>
						<td class="inventory">
							<c:if test="${trackOption or trackOptByAttr}">
								<c:out value="${optSku.inventoryLevel}"/> 
								<bean:message key="product.inventoryLevelCompact" bundle="/product"/>
							</c:if>
						</td>
						<%-- Option image. --%>
						<td class="image">
							<c:if test="${!empty option.optionSmallImage}">
								<c:choose>
									<c:when test="${!empty option.optionLargeImage}">
										<a onclick="window.open('<c:out value="${option.optionLargeImage}"/>','_blank','height=400,width=500,scrollbars=yes'); return false;" href="<c:out value="${option.optionLargeImage}"/>" target="_blank">
										<img src="<c:out value="${option.optionSmallImage}"/>"
										<c:if test="${!empty option.optionName}"> title="<c:out value="${option.optionName}"/>" alt="<c:out value="${option.optionName}"/>"</c:if> />
										</a>
									</c:when>
									<c:otherwise>
										<img src="<c:out value="${option.optionSmallImage}"/>"
										<c:if test="${!empty option.optionName}"> title="<c:out value="${option.optionName}"/>" alt="<c:out value="${option.optionName}"/>"</c:if> />
									</c:otherwise>
								</c:choose>
							</c:if>
						</td>
						<%-- Option description. --%>
						<td class="description">
							<c:out value="${option.optionDescription}" escapeXml="false" />
						</td>
					</tr>
				</c:if>
			</logic:iterate>
		</table>
	</c:if>
</div>
<!-- End attribute-expanded.jsp -->
