<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start productList.jsp -->
<c:set var="columnOrder" value="0"/>
<c:set var="numberOfColumns" value="3"/>
<c:set var="displayAddToCart" value="${settings.map.displayAddToCartOnListPages}"/>
<c:set var="previousPrimaryCategoryID" value="0" />
<c:if test="${empty categoryParam}">
	<c:set var="categoryParam" value=""/>
</c:if>
<c:set var="numberOfColumns" value="${settings.map.productListNumberOfColumns}"/>
<c:if test="${empty listCollection}">
	<logic:present name="productListCollection">
		<c:set var="listCollection" value="${productListCollection}"/>
	</logic:present>
</c:if>
<c:if var="notAllDenyPurchase" test="${false}"/>
<c:if test="${!empty listCollection}">
	<div class="productList columnList">
		<form class="multipleProductAddForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/CartAddMultiple.do")%>" method="post">
			<table>
				<c:set var="count" value="0"/>
				<logic:iterate name="listCollection" id="object" indexId="index">
					<c:choose>
						<c:when test="${empty advancedSearch or advancedSearch ne 'true' or objectTypes[index] == 1}">
							<c:set var="objectType" value="Product"/>
						</c:when>
						<c:when test="${objectTypes[index] == 2}">
							<c:set var="objectType" value="Category"/>
						</c:when>
						<c:when test="${objectTypes[index] == 3}">
							<c:set var="objectType" value="Manufacturer"/>
						</c:when>
					</c:choose>
					<c:if test="${!empty relatedProductList}">
						<c:set var="object" value="${object.product}"/>
					</c:if>
					<c:choose>
						<c:when test="${objectType eq 'Product' and settings.map.useSEOCodeForProductURLs eq '1' and !empty object.seoCode}">
							<c:set var="objectLinkCode" value="${object.seoCode}"/>
						</c:when>
						<c:otherwise>
							<c:set var="objectLinkCode" value="${object.code}"/>
						</c:otherwise>
					</c:choose>
					<c:if test="${object.isActive}">
						<c:if test="${objectType eq 'Product'}">
							<c:set var="product" value="${object}" scope="request"/>
							<tiles:insert attribute="inventoryDiscountSettings" flush="false"/>
						</c:if>
						<c:set var="columnOrder" value="${columnOrder + 1}"/>
						<c:if test="${columnOrder eq '1'}">
							<tr>
						</c:if>
						<td id="productList-<c:out value="${product.code}"/>" class="product">
							<%-- Object image --%>
							<c:if test="${!empty object.smallImage}">
								<div class="image">
									<html:link href="${customerURL}/${objectType}.do?code=${objectLinkCode}${categoryParam}" >
										<img src="<c:out value="${object.smallImage}"/>"<c:if test="${!empty object.name}"> title="<c:out value="${object.name}"/>" alt="Image for product <c:out value="${object.code}"/>"</c:if>/>
									</html:link>
								</div>
							</c:if>
							<%-- Object name --%>
							<c:if test="${!empty object.name}">
								<h3 class="name">
									<html:link href="${customerURL}/${objectType}.do?code=${objectLinkCode}${categoryParam}">
										<c:out value="${object.name}" escapeXml="false"/>
									</html:link>
								</h3>
							</c:if>
							<c:if test="${objectType eq 'Manufacturer'}">
								<p class="objectType">
									(<bean:message key="advancedSearch.manufacturer" bundle="/product"/>)
								</p>
							</c:if>
							<c:if test="${objectType eq 'Category'}">
								<p class="objectType">
									(<bean:message key="advancedSearch.category" bundle="/product"/>)
								</p>
							</c:if>
							<%-- Highlighted excerpt --%>
							<c:if test="${!empty objectExcerpts and !empty objectExcerpts[index]}">
								<p class="excerpt">
									<c:out value="${objectExcerpts[index]}" escapeXml="false"/>
								</p>
							</c:if>
							<c:if test="${objectType eq 'Product'}">
								<%-- Product price --%>
								<c:if test="${!empty product.unitPrice and product.unitPrice gt  0}">
									<p class="price">
										<span class="label"><bean:message key="productList.priceLabel" bundle="/product"/>:</span>
										<c:choose>
											<c:when test="${displayProductDiscount and settings.map.strikeThruPrices eq 1}">
												<strike><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/></strike>
												&nbsp;
												<span class="productSalePrice">
													<c:choose>
														<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
															<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
															<bean:message key="product.discountItemsForFree" bundle="/product"/>
														</c:when>
														<c:otherwise>
															<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice - productDiscountAmount}"/>
														</c:otherwise>
													</c:choose>
												</span>
											</c:when>
											<c:otherwise>
												<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${product.unitPrice}"/>
											</c:otherwise>
										</c:choose>
									</p>
								</c:if>
								<%-- Product discount --%>
								<c:if test="${displayProductDiscount}">
									<p class="discount">
										<strong><bean:message key="product.discountCompact" bundle="/product"/>:</strong>
										<c:choose>
											<c:when test="${!empty productDiscountNumberFree and productDiscountNumberFree > 0}">
												<fmt:formatNumber type="number" minFractionDigits="0" maxFractionDigits="0" value="${productDiscountNumberFree}"/>
												<bean:message key="product.discountItemsForFree" bundle="/product"/>
											</c:when>
											<c:otherwise>
												<fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${productDiscountAmount}"/>
												<bean:message key="product.discountAmountOff" bundle="/product"/>
											</c:otherwise>
										</c:choose>
									</p>
								</c:if>
								<%-- Product inventory --%>
								<c:if test="${trackProduct}">
									<p class="inventory">
										<strong><bean:message key="product.inventoryLevelCompact" bundle="/product"/>:</strong>
										<c:out value="${product.skuMap[prodSkuKey].inventoryLevel}"/>
									</p>
								</c:if>
								<%-- Product attributes and quantity input --%>
								<c:set var="product" value="${product}" scope="request"/>
								<c:set var="forceCompact" value="true" scope="request"/>
								<c:if test="${!denyPurchase}">
									<c:if var="notAllDenyPurchase" test="${true}"/>
								</c:if>
								<c:if test="${!denyPurchase and displayAddToCart eq '1'}">
									<tiles:insert attribute="attributesAndOptions" flush="false"/>
									<p class="quantity">
										<span class="label"><bean:message key="productList.quantityLabel" bundle="/product"/>:</span>
										<input type="hidden" name="orderProductCodes" value="<c:out value="${product.code}"/>" />
										<c:set var="count" value="${count + 1}"/>
										<c:set var="quantityValue" value="0"/>
										<c:if test="${!empty cartAddForm and !empty cartAddForm.orderProductQuantities and !empty cartAddForm.orderProductQuantities[count]}">
											<c:set var="quantityValue" value="${cartAddForm.orderProductQuantities[count]}"/>
										</c:if>
										<input type="text" name="orderProductQuantities" value="<c:out value="${quantityValue}"/>" size="2"/>
									</p>
								</c:if>
								<%-- Product view details link --%>
								<p class="viewDetails">
									<html:link href="${customerURL}/Product.do?code=${objectLinkCode}${categoryParam}">
										<bean:message key="productList.viewDetails" bundle="/product"/>
									</html:link>
								</p>
							</c:if>
						</td>	
						<c:if test="${columnOrder == numberOfColumns}">
							<c:set var="columnOrder" value="0"/>
							</tr>
						</c:if>
					</c:if>
				</logic:iterate>
				<c:if test="${columnOrder ne '0'}">
					<c:set var="columnSpan" value="${numberOfColumns - columnOrder}"/>
					<td class="filler" colspan="<c:out value="${columnSpan}"/>">&nbsp;</td>
					</tr>
				</c:if>
				<%-- Add to cart button --%>
				<c:if test="${notAllDenyPurchase and displayAddToCart eq '1'}">
					<tr>
						<c:set var="columnSpan2" value="${numberOfColumns - 1}" />
						<c:if test="${columnSpan2 ne '0'}">
							<td class="filler" colspan="<c:out value="${columnSpan2}"/>">&nbsp;</td>
						</c:if>
						<td>
							<span class="buttonWrap"><input type="submit" id="productListAddToCartButton" class="button" value="<bean:message key="productList.addToCart" bundle="/product"/>"/></span>
						</td>
					</tr>
				</c:if>
			</table>
		</form>
	</div>
</c:if>
<!-- End productList.jsp -->
