<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start siteMap.jsp -->
<h1 class="name pageTitle"><bean:message key="page.siteMap"/></h1>
<ul class="siteMapHeaderLinks">
	<logic:match name="settings" property="value(navBarLinks)" value="home">
		<li class="welcomeLink"><html:link href="${customerURL}/Welcome.do"><bean:message key="page.welcome"/></html:link></li>
	</logic:match>
	<c:if test="${settings.map.catalogMode eq '0'}">
		<logic:match name="settings" property="value(navBarLinks)" value="account">
			<li class="accountLink"><html:link href="${secureURL}/Account.do"><span><bean:message key="navBar.account" /></span></html:link></li>
		</logic:match>
		<logic:match name="settings" property="value(navBarLinks)" value="cart">
			<li class="cartLink"><html:link href="${customerURL}/Cart.do"><span><bean:message key="navBar.cart" /></span></html:link></li>
		</logic:match>
		<logic:match name="settings" property="value(navBarLinks)" value="checkout">
			<li class="checkoutLink"><html:link href="${secureURL}/Checkout.do"><span><bean:message key="navBar.checkout" /></span></html:link></li>
		</logic:match>
	</c:if>
	<logic:match name="settings" property="value(navBarLinks)" value="products">
		<li class="productListLink"><html:link href="${customerURL}/ProductList.do"><span><bean:message key="page.productList"/></span></html:link></li>
	</logic:match>
	<logic:match name="settings" property="value(navBarLinks)" value="manufacturers">
		<li class="manufacturersLink"><html:link href="${customerURL}/Manufacturers.do"><span><bean:message key="page.manufacturers"/></span></html:link></li>
	</logic:match>
	<c:if test="${!empty headerCategoriesAndPages}">
		<logic:iterate name="headerCategoriesAndPages" id="category">
			<c:if test="${category.isActive}">
				<c:set var="linkAction" value="Category.do"/>
				<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
				<li class="<c:out value="${category.code}"/>Link"><html:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code">
					<span><c:out value="${category.name}" escapeXml="false"/></span>
				</html:link></li>
			</c:if>
		</logic:iterate>
	</c:if>
	<logic:match name="settings" property="value(navBarLinks)" value="search">
		<li id="searchLink"><html:link href="${customerURL}/SearchForm.do"><span><bean:message key="page.search"/></span></html:link></li>
	</logic:match>
	<logic:match name="settings" property="value(navBarLinks)" value="about">
		<li id="aboutLink"><html:link href="${customerURL}/aboutPage.do"><span><bean:message key="page.about"/></span></html:link></li>
	</logic:match>
	<logic:match name="settings" property="value(navBarLinks)" value="contact">
		<li id="contactLink"><html:link href="${customerURL}/Contact.do"><span><bean:message key="page.contact"/></span></html:link></li>
	</logic:match>
	<c:if test="${settings.map.catalogMode eq '0'}">
		<logic:match name="settings" property="value(navBarLinks)" value="order">
			<li id="orderFormLink"><html:link href="${secureURL}/OrderForm.do"><bean:message key="page.orderForm"/></html:link></li>
		</logic:match>
	</c:if>
</ul>

<div class="siteMapCategories">
	<bean:define id="categoryCollection" name="categoryTree" toScope="request" />
	<c:set var="topLevel" value="1" scope="page"/>
	<c:set var="columnOrder" value="0"/>
	<c:set var="numberOfColumns" value="3"/>
	<c:set var="width" value="${100/numberOfColumns}"/>
	<fmt:parseNumber var="iWidth" integerOnly="true" type="number" value="${width}" />
	<bean:size name="categoryCollection" id="numberOfItems"/>
	<c:set var="numberOfColumnItems" value="${numberOfItems/numberOfColumns}"/>
	<c:if test="${!empty categoryCollection}">
		<logic:iterate name="categoryCollection" id="category">
			<c:if test="${category.isActive and category.categoryTreeID eq 1}">
				<c:set var="categoryLinkCode" value="${category.code}"/>
				<%-- Display the category name --%>
				<ul class="siteMapCateogry">
					<li class="<c:out value="${category.code}"/>SiteMapCategoryLink">
						<html:link href="${customerURL}/Category.do?code=${categoryLinkCode}" styleClass="siteMapMainCategory"><c:out value="${category.name}" escapeXml="false"/></html:link>
						<%-- Display subcategories --%>
						<logic:notEmpty name="category" property="subcategoryCollection">
							<c:if scope="request" var="topLevel" test="${false}"/>
							<c:set var="categoryCollection" value="${category.subcategoryCollection}" scope="request"/>
							<ul class="siteMapSubcategories">
								<tiles:insert page="/WEB-INF/layouts/default/product/siteMapCategories.jsp" flush="false"/>
							</ul>
						</logic:notEmpty>
					</li>
				</ul>
			</c:if>
		</logic:iterate>
	</c:if>
</div>
		
<c:set var="listOfLinks" value="${settings.map.navBarLinks}"/>
<c:if test="${settings.map.footerLinks ne '[SAMEASHEADER]'}">
	<c:set var="listOfLinks" value="${settings.map.footerLinks}"/>
</c:if>
<ul class="siteMapFooterLinks">
	<c:forTokens var="link" varStatus="current" items="${listOfLinks}" delims=",">
		<c:choose>
			<c:when test="${link eq 'about'}">
				<li class="aboutSiteMapFooterLink"><html:link href="${customerURL}/aboutPage.do"><bean:message key="page.about"/></html:link></li>
			</c:when>
			<c:when test="${link eq 'contact'}">
				<li class="contactSiteMapFooterLink"><html:link href="${customerURL}/Contact.do"><bean:message key="page.contact"/></html:link></li>
			</c:when>
			<c:when test="${link eq 'products'}">
				<li class="productsSiteMapFooterLink"><html:link href="${customerURL}/ProductList.do"><bean:message key="page.productList"/></html:link></li>
			</c:when>
			<c:when test="${link eq 'manufacturers'}">
				<li class="manufacturersSiteMapLink"><html:link href="${customerURL}/Manufacturers.do"><bean:message key="page.manufacturers"/></html:link></li>
			</c:when>
			<c:when test="${link eq 'search'}">
				<li class="searchSiteMapFooterLink"><html:link href="${customerURL}/SearchForm.do"><bean:message key="page.search"/></html:link></li>
			</c:when>
			<c:when test="${link eq 'account'}">
				<li class="accountSiteMapFooterLink"><html:link href="${secureURL}/Account.do"><bean:message key="navBar.account" /></html:link></li>
			</c:when>
			<c:when test="${link eq 'cart'}">
				<li class="cartSiteMapFooterLink"><html:link href="${customerURL}/Cart.do"><bean:message key="navBar.cart" /></html:link></li>
			</c:when>
			<c:when test="${link eq 'checkout'}">
				<li class="checkoutSiteMapFooterLink"><html:link href="${secureURL}/Checkout.do"><bean:message key="navBar.checkout" /></html:link></li>
			</c:when>
			<c:when test="${link eq 'order'}">
				<li class="orderSiteMapFooterLink"><html:link href="${secureURL}/OrderForm.do"><bean:message key="page.orderForm" /></html:link></li>
			</c:when>
		</c:choose>
	</c:forTokens>
	<c:if test="${!empty footerCategoriesAndPages}">
		<logic:iterate name="footerCategoriesAndPages" id="category">
			<c:if test="${category.isActive}">
				<c:set var="linkAction" value="Category.do"/>
				<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
					<li class="<c:out value="${category.code}"/>SiteMapFooterLink"><html:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code"><c:out value="${category.name}" escapeXml="false"/></html:link></li>
			</c:if>
		</logic:iterate>
	</c:if>
</ul>
	
<!-- End siteMap.jsp -->
