package com.softslate.commerce.administrator.email;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;


/**
 * Struts form class corresponding to requests to
 * "/administrator/EmailAddForm.do", "/administrator/EmailEditForm.do",
 * "/administrator/EmailAdd.do", and "/administrator/EmailEdit.do".
 * Provides properties corresponding to the fields for a single Email
 * record.
 * 
 */
public class EmailAddEditForm extends BaseAdministratorForm {

	private static final long serialVersionUID = 4689022975042518536L;

	static Log log = LogFactory.getLog(EmailAddEditForm.class);

	private String emailID = null;
	
	public String getEmailID() {
		return emailID;
	}

	public void setEmailID(String emailID) {
		this.emailID = emailID;
	}

	private Integer orderID = null;

	public Integer getOrderID() {
		return orderID;
	}

	public void setOrderID(Integer orderID) {
		this.orderID = orderID;
	}
	
	private Integer customerID = null;

	public Integer getCustomerID() {
		return customerID;
	}

	public void setCustomerID(Integer customerID) {
		this.customerID = customerID;
	}

	private Integer orderNumber = null;
	
	public Integer getOrderNumber() {
		return orderNumber;
	}

	public void setOrderNumber(Integer orderNumber) {
		this.orderNumber = orderNumber;
	}

	private Integer templateID = null;

	public Integer getTemplateID() {
		return templateID;
	}

	public void setTemplateID(Integer templateID) {
		this.templateID = templateID;
	}

	private String type = null;

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	private String toEmails = null;

	public String getToEmails() {
		return toEmails;
	}

	public void setToEmails(String toEmails) {
		this.toEmails = toEmails;
	}
	private String ccEmails = null;

	public String getCcEmails() {
		return ccEmails;
	}

	public void setCcEmails(String ccEmails) {
		this.ccEmails = ccEmails;
	}
	private String bccEmails = null;

	public String getBccEmails() {
		return bccEmails;
	}

	public void setBccEmails(String bccEmails) {
		this.bccEmails = bccEmails;
	}
	private String fromEmail = null;

	public String getFromEmail() {
		return fromEmail;
	}

	public void setFromEmail(String fromEmail) {
		this.fromEmail = fromEmail;
	}
	private String subject = null;

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	private String bodyHtml = null;

	public String getBodyHtml() {
		return bodyHtml;
	}

	public void setBodyHtml(String bodyHtml) {
		this.bodyHtml = bodyHtml;
	}

	private String bodyText = null;

	public String getBodyText() {
		return bodyText;
	}

	public void setBodyText(String bodyText) {
		this.bodyText = bodyText;
	}

	private String createdTime = null;

	public String getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(String createdTime) {
		this.createdTime = createdTime;
	}
	private String sendTime = null;

	public String getSendTime() {
		return sendTime;
	}

	public void setSendTime(String sendTime) {
		this.sendTime = sendTime;
	}
	private String lastActionTime = null;

	public String getLastActionTime() {
		return lastActionTime;
	}

	public void setLastActionTime(String lastActionTime) {
		this.lastActionTime = lastActionTime;
	}
	private String status = null;

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	private String errorMessage = null;

	public String getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String errorMessage) {
		this.errorMessage = errorMessage;
	}
	private String lastEvent = null;

	public String getLastEvent() {
		return lastEvent;
	}

	public void setLastEvent(String lastEvent) {
		this.lastEvent = lastEvent;
	}
	private String lastEventTime = null;

	public String getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(String lastEventTime) {
		this.lastEventTime = lastEventTime;
	}
	private String smtpServer = null;

	public String getSmtpServer() {
		return smtpServer;
	}

	public void setSmtpServer(String smtpServer) {
		this.smtpServer = smtpServer;
	}

	private String parentOrderID = null;

	public String getParentOrderID() {
		return parentOrderID;
	}

	public void setParentOrderID(String parentOrderID) {
		this.parentOrderID = parentOrderID;
	}

	private String parentCustomerID = null;

	public String getParentCustomerID() {
		return parentCustomerID;
	}

	public void setParentCustomerID(String parentCustomerID) {
		this.parentCustomerID = parentCustomerID;
	}

	private String parentTemplateID = null;

	public String getParentTemplateID() {
		return parentTemplateID;
	}

	public void setParentTemplateID(String parentTemplateID) {
		this.parentTemplateID = parentTemplateID;
	}

	private String parentIDField = null;

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	private String action = null;

	public String getAction() {
		return action;
	}

	public void setAction(String action) {
		this.action = action;
	}

	private String createFromOrderAndTemplate = "false";

	public String getCreateFromOrderAndTemplate() {
		return createFromOrderAndTemplate;
	}

	public void setCreateFromOrderAndTemplate(String createFromOrderAndTemplate) {
		this.createFromOrderAndTemplate = createFromOrderAndTemplate;
	}

	public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
		if (log.isDebugEnabled()) log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getType() == null || getType().trim().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Type"));
		}
		if (getSubject() == null || getSubject().trim().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Subject"));
		}
		return getErrors();
	}
}
