package com.softslate.commerce.administrator.order;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;


/**
 * Struts form class corresponding to requests to
 * "/administrator/StateAddForm.do", "/administrator/StateEditForm.do",
 * "/administrator/StateAdd.do", and "/administrator/StateEdit.do".
 * Provides properties corresponding to the fields for a single state
 * record.
 * 
 * @author David Tobey
 * 
 */
public class StateAddEditForm extends BaseAdministratorForm {
	private static final long serialVersionUID = 3258415040708292915L;

	static Log log = LogFactory.getLog(StateAddEditForm.class);

	private String stateID = null;

	private String countryID = null;

	private String code = null;

	private String name = null;

	private String stateOrder = null;

	private String isActive = "true";

	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getCountryID() {
		return countryID;
	}
	public void setCountryID(String countryID) {
		this.countryID = countryID;
	}
	public String getIsActive() {
		return isActive;
	}
	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getStateOrder() {
		return stateOrder;
	}
	public void setStateOrder(String stateOrder) {
		this.stateOrder = stateOrder;
	}
	public String getStateID() {
		return stateID;
	}

	public void setStateID(String stateID) {
		this.stateID = stateID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getCountryID() == null  || getCountryID().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Country"));
		}
		if (getCode() == null  || getCode().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Code"));
		}
		if (getName() == null  || getName().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Name"));
		}
		if (getStateOrder() == null  || getStateOrder().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "State Order"));
		}
		if (getIsActive() == null  || getIsActive().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Active"));
		}
		return getErrors();
	}
}
