package com.softslate.commerce.administrator.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author David Tobey
 * 
 */
public class SettingsFormPayPal extends BaseDynaForm {

	private static final long serialVersionUID = -1300315580223691445L;

	static Log log = LogFactory.getLog(SettingsFormPayPal.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (request.getParameter("paypalEnvironment") == null
				|| request.getParameter("paypalEnvironment").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Environment"));
		}
		if (request.getParameter("paypalAPIUsername") == null
				|| request.getParameter("paypalAPIUsername").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "API User Name"));
		}
		if (request.getParameter("paypalAPIPassword") == null
				|| request.getParameter("paypalAPIPassword").length() == 0) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "API Password"));
		}
		if ((request.getParameter("paypalSignature") == null || request
				.getParameter("paypalSignature").length() == 0)
				&& (request.getParameter("paypalSubject") == null || request
						.getParameter("paypalSubject").length() == 0)
				&& (request.getParameter("paypalCertificateFile") == null || request
						.getParameter("paypalCertificateFile").length() == 0)) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required",
							"Signature, or Subject, or Certificate File"));
		}
		if ((request.getParameter("paypalSignature") == null || request
				.getParameter("paypalSignature").length() == 0)
				&& (request.getParameter("paypalSubject") == null || request
						.getParameter("paypalSubject").length() == 0)
				&& (request.getParameter("paypalCertificateFile") != null && request
						.getParameter("paypalCertificateFile").length() > 0)
				&& (request.getParameter("paypalPrivateKeyPassword") == null || request
						.getParameter("paypalPrivateKeyPassword").length() == 0)) {
			getErrors()
					.add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"Private Key Password"));
		}
		return getErrors();
	}

}
