package com.softslate.commerce.administrator.product;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.businessobjects.product.DiscountRangeProcessor;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.customer.product.ProductInitializer;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/DiscountRangeEdit.do". Processes a request to edit a record
 * within the system.
 * 
 * @author David Tobey
 * 
 */
public class DiscountRangeEditAction extends BaseAction {

    static Log log = LogFactory.getLog(DiscountRangeEditAction.class);

    public ActionForward execute(ActionMapping mapping, ActionForm form,
            HttpServletRequest request, HttpServletResponse response)
            throws Exception {
        if (log.isDebugEnabled())
            log.debug("Starting action.");

		DiscountRangeAddEditForm baseForm = (DiscountRangeAddEditForm) form;

        // Edit the record
		DiscountRangeProcessor processor = (DiscountRangeProcessor) baseForm
                .getBusinessObjectFactory().createObject(
                        "discountRangeProcessorImplementer");

		// Preserve parameters set in baseForm.validate
		Map parameters = baseForm.mapOfIncomingParams();
		if (baseForm.getReward() != null) {
			parameters.put("reward", baseForm.getReward());
		}
		Map results = processor.editDiscountRange(parameters);

		// Reload the store discounts in the application scope
		ProductInitializer pi = new ProductInitializer();
		pi.setServlet(servlet);
		pi.initializeStoreDiscounts(baseForm.getBusinessObjectFactory());

		// entity.jsp wants the updated record in the request scope
		request.setAttribute("discountRange", results.get("updatedRecord"));

        // Set the success message
        baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
                new ActionMessage("messages.recordSaved"));
        saveMessages(baseForm.getRequest(), baseForm.getMessages());

        return mapping.findForward("success");
    }
}
