package com.softslate.commerce.administrator.shipping;

import java.util.Properties;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.administrator.core.SettingsAction;
import com.softslate.commerce.customer.core.AppUtils;
import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author David Tobey
 * 
 */
public class SettingsActionShipping extends SettingsAction {

	static Log log = LogFactory.getLog(SettingsActionShipping.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		BaseDynaForm baseForm = (BaseDynaForm) form;
		String activeShippingProcessors = request
				.getParameter("activeShippingProcessors");
		if (activeShippingProcessors == null) {
			activeShippingProcessors = "";
		}
		if (log.isDebugEnabled())
			log.debug("activeShippingProcessors." + activeShippingProcessors);
		synchronized (getServlet().getServletContext()) {
			Properties appComponents = (Properties) getServlet()
					.getServletContext().getAttribute("appComponents");
			Properties customComponents = AppUtils.loadProperties(
					"/appComponents-custom.properties", (Properties) null);
			if (!appComponents.getProperty("activeShippingProcessors").equals(
					activeShippingProcessors)) {
				if (log.isDebugEnabled())
					log
							.debug("Changing component activeShippingProcessors to: "
									+ activeShippingProcessors);
				appComponents.setProperty("activeShippingProcessors",
						activeShippingProcessors);
				customComponents.setProperty("activeShippingProcessors",
						activeShippingProcessors);
				saveComponents(customComponents);
				getServlet().getServletContext().setAttribute("appComponents",
						appComponents);
			}
		}
		return super.execute(mapping, baseForm, request, response);
	}
}
