package com.softslate.commerce.businessobjects.administrator;

import java.util.Collection;

import org.hibernate.envers.AuditTable;
import org.hibernate.envers.Audited;

import com.softslate.commerce.businessobjects.core.BusinessObject;

/**
 * Interface representing a role within the system.
 * <p>
 * When the application needs to create an instance that implements
 * <code>sscRole</code>,
 * {@link com.softslate.commerce.businessobjects.core.BusinessObjectFactory}
 * finds the name of the Java class to instantiate from the "roleImplementer"
 * setting in the <code>appComponents.properties</code> file.
 * <p>
 * The default "roleImplementer" is
 * {@link com.softslate.commerce.businessobjects.administrator.RoleBean}.
 * 
 * @author David Tobey
 * 
 */
@Audited
@AuditTable("AudRole")
public interface Role extends BusinessObject {
	abstract int getRoleID();

	abstract void setRoleID(int administratorID);

	abstract String getCode();

	abstract void setCode(String code);

	abstract String getName();

	abstract void setName(String name);

	abstract String getDescription();

	abstract void setDescription(String description);

	abstract Collection getAdministratorRoles();

	abstract void setAdministratorRoles(Collection administratorRoles);

}
