package com.softslate.commerce.businessobjects.payment.authorizeNetCIM;

import java.util.Collection;
import java.util.ArrayList;
import java.util.List;

import org.apache.commons.lang.StringUtils;

import AuthNet.Rebill.*;

public class AuthorizeNetCIMResultGetProfile extends AuthorizeNetCIMResult {

	private String merchantCustomerID = null;
	private String description = null;
	private Collection<AuthorizeNetCIMPaymentProfileMin> paymentProfiles = new ArrayList<AuthorizeNetCIMPaymentProfileMin>();

	public String getMerchantCustomerID() {
		return merchantCustomerID;
	}

	public void setMerchantCustomerID(String merchantCustomerID) {
		this.merchantCustomerID = merchantCustomerID;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Collection<AuthorizeNetCIMPaymentProfileMin> getPaymentProfiles() {
		return paymentProfiles;
	}

	public void setPaymentProfiles(Collection<AuthorizeNetCIMPaymentProfileMin> paymentProfiles) {
		this.paymentProfiles = paymentProfiles;
	}

	public void initialize(List<MessagesTypeMessage> cimMessages, boolean error, CustomerProfileMaskedType profile) {
		super.initialize(cimMessages, error);
		if (profile != null) {
			setProfileID(profile.getCustomerProfileId());
			setDescription(profile.getDescription());
			setMerchantCustomerID(profile.getMerchantCustomerId());
			ArrayOfCustomerPaymentProfileMaskedType arrayOfCustomerPaymentProfileMaskedType = profile
					.getPaymentProfiles();
			if (arrayOfCustomerPaymentProfileMaskedType != null) {
				List<CustomerPaymentProfileMaskedType> customerPaymentProfileMaskedTypes = arrayOfCustomerPaymentProfileMaskedType
						.getCustomerPaymentProfileMaskedType();
				if (customerPaymentProfileMaskedTypes != null && customerPaymentProfileMaskedTypes.size() > 0) {
					for (int i = 0; i < customerPaymentProfileMaskedTypes.size(); i++) {
						CustomerPaymentProfileMaskedType customerPaymentProfileMaskedType = customerPaymentProfileMaskedTypes
								.get(i);
						if (customerPaymentProfileMaskedType != null
								&& customerPaymentProfileMaskedType.getCustomerPaymentProfileId() > 0) {
							CustomerAddressType customerAddressType = customerPaymentProfileMaskedType.getBillTo();
							PaymentMaskedType paymentMaskedType = customerPaymentProfileMaskedType.getPayment();
							if (paymentMaskedType != null && paymentMaskedType.getCreditCard() != null) {
								String cardNumber = paymentMaskedType.getCreditCard().getCardNumber();
								String expirationDate = paymentMaskedType.getCreditCard().getExpirationDate();
								if (StringUtils.isNotBlank(cardNumber) && StringUtils.isNotBlank(expirationDate)) {
									AuthorizeNetCIMPaymentProfileMin p = new AuthorizeNetCIMPaymentProfileMin(
											getProfileID(), customerPaymentProfileMaskedType
													.getCustomerPaymentProfileId(), cardNumber, expirationDate,
											customerAddressType, customerPaymentProfileMaskedType);
									getPaymentProfiles().add(p);
								}
							}
						}
					}
				}
			}
		}
	}

}
