package com.softslate.commerce.customer.core;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.util.MessageResources;
import org.apache.struts.util.MessageResourcesFactory;

/**
 * Extension of the Struts <code>MessageResourcesFactory</code> class which
 * creates instances of <code>AppMessageResources</code> instead of the Struts
 * <code>PropertyMessageResources</code> class. This factory class is referred
 * to in the <code>struts-config.xml</code> files under the "/WEB-INF/conf"
 * directory. It is used as the messages are placed in the application scope
 * during start up.
 * 
 * @author David Tobey
 */
public class AppMessageResourcesFactory extends MessageResourcesFactory {

	private static final long serialVersionUID = 4054931264648039006L;

	static Log log = LogFactory.getLog(AppMessageResourcesFactory.class);

	public MessageResources createResources(String config) {
		if (log.isDebugEnabled()) {
			log.debug("Creating custom MessageResources class: " + config);
		}
		return new AppMessageResources(this, config, this.returnNull, false);
	}

}
