package com.softslate.commerce.customer.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * Struts form class for users electing to send the store payment by check or
 * money order. This form corresponds to the
 * {@link com.softslate.commerce.businessobjects.payment.CheckPaymentProcessor}
 * payment processor.
 * <p>
 * Stores can use this form and the corresponding processor to offer payment by
 * check as an option for their customers. Payment will be marked "Pending".
 * Once the payment is received, the store administrator can look up and process
 * the order.
 * <p>
 * The database settings "activePaymentProcessors", "activePaymentForms", and
 * "activePaymentFormTemplate" represent the various payment methods available
 * to users. During checkout, each of the "activePaymentForms" will be
 * instantiated and prepared for display on the checkout payment screen. When
 * the user submits payment information the <code>validate</code> method of
 * the corresponding payment form is invoked.
 * <p>
 * The <code>validate</code> method of this class simply returns a success
 * result.
 * 
 * @author David Tobey
 */
public class CheckPaymentForm extends BaseForm {

	private static final long serialVersionUID = 3256441400173475895L;

	static Log log = LogFactory.getLog(CheckPaymentForm.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);
		if (log.isDebugEnabled())
			log.debug("Finished validation.");
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());
		return getErrors();
	}

}
