package com.softslate.commerce.customer.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;



/**
 * Struts form class that correspondes to the search results page. Used for
 * requests to "/Search.do".
 * <p>
 * The <code>validate</code> method of this class simply makes sure that a
 * <code>searchString</code> of non-zero length was submitted.
 * 
 * @author David Tobey
 * 
 * @see com.softslate.commerce.customer.product.SearchAction
 */
public class SearchForm extends BaseDynaForm {

	private static final long serialVersionUID = 3835157242201518392L;

	static Log log = LogFactory.getLog(SearchForm.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);
		if (!getFormUtils().stringExists(this, "searchString")) {
			String message = getMessage("product", "search.fieldName", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());
		return getErrors();
	}

}
