package com.softslate.commerce.daos.email;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.email.Email;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO that runs miscellaneous queries related to 
 * Emails.
 */
public interface EmailGatewayDAO extends DAOInterface {

	abstract Map loadEmailsAndCount(Map parameters) throws Exception;

	abstract void editDeleteEmails(Map parameters, BusinessObjectFactory bof) throws Exception;
	
	abstract Collection<Email> loadAllEmails() throws Exception;

	abstract Integer emailsCountByTypeAndOrderID(String type, int orderID) throws Exception;

	abstract Integer emailsCountByTypeAndCustomerID(String type, int customerID) throws Exception;

	abstract Integer emailsCountByTypeAndEmailAddress(String type, String emailAddress) throws Exception;

	abstract Integer emailsCountByTypeAndEmailAddressAfterCreatedTime(String type, String emailAddress,
			String createdTime) throws Exception;
}
