package com.softslate.commerce.daos.order;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.order.OrderDelivery;
import com.softslate.commerce.businessobjects.order.OrderDeliveryProcessor;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;

/**
 * Generic DAO that runs miscellaneous queries related to order deliveries.
 * 
 * @author David Tobey
 * 
 */
public class OrderDeliveryGatewayDAOHibernate extends BaseAdminGatewayDAOHibernate implements OrderDeliveryGatewayDAO {

	static Log log = LogFactory.getLog(OrderDeliveryGatewayDAOHibernate.class);

	public Map loadOrderDeliveriesAndCount(Map parameters) throws Exception {
		return loadItemsAndCount(parameters);
	}

	public Map editDeleteOrderDeliveries(Map parameters, BusinessObjectFactory bof) throws Exception {
		return editDeleteItems(parameters, bof);
	}

	public Map postChangingItemEvent(Object item, Map parameters, BusinessObjectFactory bof) throws Exception {
		OrderDeliveryProcessor processor = bof.createObject(OrderDeliveryProcessor.class);
		Map results = processor.postChangingOrderDeliveryEvent((OrderDelivery) item, parameters);
		return results;
	}
}
