<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.Settings" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	<p>Use these settings to configure the display of FedEx shipping costs in the store.</p>
</div>

<c:if test="${settings.map.useCheckoutCombo eq '1' or settings.map.combineCheckoutShippingAddresses eq '1'}">
	<div class="warning">
		<p>Because FedEx needs to know each customer's delivery address to quote a rate, you must set the following application
			settings to "no" for FedEx rates to be displayed:</p>
 		<ul class="normal">
			<li>Use Combined Address, Shipping and Payment Screen in Checkout?</li>
			<li>Use Combined Address and Shipping Screen in Checkout?</li>
		</ul>
		<p>Please make sure the above settings are set to "no" on the <a href="SettingsCheckoutFlow.do">Orders -&gt; Checkout Flow</a> screen.</p>
	</div>
</c:if>

<br/>

<html:form action="/FedExSettingsProcess" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="FEDEX">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'fedExServiceOptionNames'}">
					</c:when>
					<c:when test="${setting.code eq 'fedExServiceOptions'}">
					</c:when>
					<c:when test="${setting.code eq 'fedExService'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<table>
								<% 
										String namesString = null;
										String optionsString = null;
										String[] settingValues = null;
										try {
											Settings settings = (Settings) request.getAttribute("settings");
											settingValues = ((String) settings.getValue("fedExService")).split(",");
											namesString = (String) settings.getValue("fedExServiceOptionNames");
											optionsString = (String) settings.getValue("fedExServiceOptions");
										} catch (Exception e) {
										}
										String[] names = namesString.split(",");
										String[] options = optionsString.split(",");
										for (int i = 0; i < names.length; i++) {
											boolean match = false;
											String name = names[i].trim();
											String option = options[i].trim();
											for (int j = 0; j < settingValues.length; j++) {
												String value = settingValues[j].trim();
												if (value.equals(option)) {
													match = true;
													break;
												}
											}
											if (match) {
								%>
										<tr>
											<td><input type="checkbox" name="fedExServiceArray" value="<%= option %>" checked="checked"/></td>
											<td><%= name %></td>
										</tr>
								<% 			} else {
								%>
										<tr>
											<td><input type="checkbox" name="fedExServiceArray" value="<%= option %>"/></td>
											<td><%= name %></td>
										</tr>
								<% 			}
										}
								%>
								</table>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'fedExSignatureOption'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select name="fedExSignatureOption">
									<option value="SERVICE_DEFAULT" <c:if test="${setting.smallValue eq 'SERVICE_DEFAULT'}">selected="selected"</c:if>>Service Default</option>
									<option value="NO_SIGNATURE_REQUIRED" <c:if test="${setting.smallValue eq 'NO_SIGNATURE_REQUIRED'}">selected="selected"</c:if>>No Signature Required</option>
									<option value="INDIRECT" <c:if test="${setting.smallValue eq 'INDIRECT'}">selected="selected"</c:if>>Indirect Signature Required</option>
									<option value="DIRECT" <c:if test="${setting.smallValue eq 'DIRECT'}">selected="selected"</c:if>>Direct Signature Required</option>
									<option value="ADULT" <c:if test="${setting.smallValue eq 'ADULT'}">selected="selected"</c:if>>Adult Signature Required</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'fedExCarrierCode'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select name="fedExCarrierCode">
									<option value="FDXE" <c:if test="${setting.smallValue eq 'FDXE'}">selected="selected"</c:if>>FedEx Express</option>
									<option value="FDXG" <c:if test="${setting.smallValue eq 'FDXG'}">selected="selected"</c:if>>FedEx Ground</option>
									<option value="BOTH" <c:if test="${setting.smallValue eq 'BOTH'}">selected="selected"</c:if>>Both</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'fedExDropoffType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select name="fedExDropoffType">
									<option value="REGULAR_PICKUP" <c:if test="${setting.smallValue eq 'REGULAR_PICKUP'}">selected="selected"</c:if>>Regular Pickup</option>
									<option value="REQUEST_COURIER" <c:if test="${setting.smallValue eq 'REQUEST_COURIER'}">selected="selected"</c:if>>Request Courier</option>
									<option value="DROP_BOX" <c:if test="${setting.smallValue eq 'DROP_BOX'}">selected="selected"</c:if>>Drop box</option>
									<option value="BUSINESS_SERVICE_CENTER" <c:if test="${setting.smallValue eq 'BUSINESS_SERVICE_CENTER'}">selected="selected"</c:if>>Business Service Center</option>
									<option value="STATION" <c:if test="${setting.smallValue eq 'STATION'}">selected="selected"</c:if>>Station</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'fedExPackaging'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select name="fedExPackaging">
									<option value="FEDEX_ENVELOPE" <c:if test="${setting.smallValue eq 'FEDEX_ENVELOPE'}">selected="selected"</c:if>>FedEx Envelope</option>
									<option value="FEDEX_PAK" <c:if test="${setting.smallValue eq 'FEDEX_PAK'}">selected="selected"</c:if>>FedEx Pak</option>
									<option value="FEDEX_BOX" <c:if test="${setting.smallValue eq 'FEDEX_BOX'}">selected="selected"</c:if>>FedEx Box</option>
									<option value="FEDEX_TUBE" <c:if test="${setting.smallValue eq 'FEDEX_TUBE'}">selected="selected"</c:if>>FedEx Tube</option>
									<option value="FEDEX_10KG_BOX" <c:if test="${setting.smallValue eq 'FEDEX_10KG_BOX'}">selected="selected"</c:if>>FedEx 10KG Box</option>
									<option value="FEDEX_25KG_BOX" <c:if test="${setting.smallValue eq 'FEDEX_25KG_BOX'}">selected="selected"</c:if>>FedEx 25KG Box</option>
									<option value="YOUR_PACKAGING" <c:if test="${setting.smallValue eq 'YOUR_PACKAGING'}">selected="selected"</c:if>>Your Packaging</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'fedExWeightUnits'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select name="fedExWeightUnits">
									<option value="LB" <c:if test="${setting.smallValue eq 'LB'}">selected="selected"</c:if>>Pounds</option>
									<option value="KG" <c:if test="${setting.smallValue eq 'KG'}">selected="selected"</c:if>>Kilograms</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'fedExDimensionsUnits'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select name="fedExDimensionsUnits">
									<option value="IN" <c:if test="${setting.smallValue eq 'IN'}">selected="selected"</c:if>>Inches</option>
									<option value="CM" <c:if test="${setting.smallValue eq 'CM'}">selected="selected"</c:if>>Centimeters</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'fedExResidence'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select name="fedExResidence">
									<option value="ORGANIZATION_FIELD" <c:if test="${setting.smallValue eq 'ORGANIZATION_FIELD'}">selected="selected"</c:if>>Residential If Delivery Organization Field Is Blank</option>
									<option value="RESIDENTIAL" <c:if test="${setting.smallValue eq 'RESIDENTIAL'}">selected="selected"</c:if>>Residential Always</option>
									<option value="NONRESIDENTIAL" <c:if test="${setting.smallValue eq 'NONRESIDENTIAL'}">selected="selected"</c:if>>Non-Residential Always</option>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'fedExOriginAddressCountryCode'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select name="fedExOriginAddressCountryCode" id="fedExOriginAddressCountryCode" class="selectboxWide">
									<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
									<option value="">-------------</option>
									<logic:iterate name="countries" id="country">
										<option value="<c:out value="${country.code}"/>" <c:if test="${country.code eq settingRow.smallValue}">selected="selected"</c:if>><c:out value="${country.name}"/></option>
									</logic:iterate>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'fedExOriginAddressStateOrProvinceCode'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="<bean:write name="setting" property="code"/>"><bean:write name="setting" property="name"/></label>:</td>
							<td class="value">
								<select name="fedExOriginAddressStateOrProvinceCode" id="fedExOriginAddressStateOrProvinceCode" class="selectboxWide">
									<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
									<option value="">-------------</option>
									<logic:iterate name="states" id="state">
										<option value="<c:out value="${state.code}"/>" <c:if test="${state.code eq settingRow.smallValue}">selected="selected"</c:if>><c:out value="${state.name}"/></option>
									</logic:iterate>
								</select>
							 	<br/>
								<div class="settingDescription"><bean:write name="setting" property="description" filter="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,shippingEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Obtain a FedEx Meter Number, API Key, and Password?">
				<p>To enable FedEx shipping, you must register with FedEx on <a href="fedex.com">fedex.com</a>. Specifically, you must:</p>
    			<ol class="normal">
    				<li>Create a FedEx account if you haven't already.</li>
    				<li>Create an fedex.com user account tied to your FedEx account.</li>
					<li><a href="https://www.fedex.com/wpor/web/jsp/drclinks.jsp?links=techresources/production.html">Click here</a> and follow the link to "Obtain Production Key" at the bottom of the page.</li>
				</ol>
				<p>For more details please visit <a href="fedex.com">fedex.com</a>.</p>
			</ssc:help>
		</li>
	</ul>
</div>
